@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital@1&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    font-family: 'Roboto', sans-serif;
    list-style: none;
    text-decoration: none;
  }

 :root {
  background: 		#000000;
}  

/* barra de scroll*/
::-webkit-scrollbar {
  width: 15px;
  background: rgba(0, 0, 0, 0.812);
}

::-webkit-scrollbar-thumb {
  background:  	#ffffff;
}

::-webkit-scrollbar-thumb:hover {
  background:  #0d5da4bc; 
}

/*header*/

 header {
  position: sticky;
  z-index: 8000;
  top: 0em;  
}

.contenedor1 {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  padding: 1em;
  background-color: #0000009e;  
  backdrop-filter: blur(10px);
}

.contenedor1 a {
  color: #fff;    
  text-decoration: none;
}

.contenedor1 nav ul {
  display: flex;
  flex-direction: row;
  align-items: center;    
  list-style: none;
}

.contenedor1 li {
  padding: 0.5em;
}

.linea-multicolor {
  height: 1px;
  width: 100%;
  border-radius: 50px; 
  background: linear-gradient(90deg, #00f2ff, #39ff14, #fbff00, #ff7300, #ff00c8, #7a00ff, #00f2ff);
  background-size: 200% 100%;
  animation: flujo-derecha 3s linear infinite;
  filter: blur(1px);  
}

@keyframes flujo-derecha {
  from { background-position: 200% 0; }
  to { background-position: 0 0; }
}

/*main*/

/*fondo de video*/
#alejo {
  min-height: 100vh;
  position: relative;
}

 video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.capa {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #1c1c1d;
  opacity: 0.5;
  mix-blend-mode: overlay;
}

.contenedor2 {
  padding-top: 260px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 60%;
  margin: auto;
  position: relative;
  z-index: 2;
}

.contenedor2 h1 {
  font-size: 80px;
  color: #C8C8C8;
  font-weight: 300;
  text-align: center;
}

.contenedor2 h5 {
  font-size: 25px;
  color: #C8C8C8;
  font-weight: 300;
}

.contenedor3 {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 0.5em;
  font-size: 20px;

  color: #C8C8C8;
  border-top-width: 1px;
  border-top-style: solid;
  border-color: white;
}

#contenedor4 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(12.5em, 1fr));
  gap: 0.15em;
  padding: 1em 1em 2em 1em;
  width: min(75em, 100%);
  margin-inline: auto;
}

.contenedor4 {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  padding: 1em;
  font-size: 20px;
  color: #C8C8C8;
}

.contenedor5 {
  display: flex;
  padding: 0.5em;
  font-size: 20px;
  color: #C8C8C8;
  justify-content: center;
  flex-wrap: wrap;
}

.contenedor5 h2 {
  padding: 0.5em;
}

.contenedor5 figure {
  aspect-ratio: 1;
  position: relative;
  overflow: hidden;
}

.contenedor5 img {
  object-fit: cover;
  object-position: left center;
  width: 100%;
  height: 100%;
  opacity: 0.5;
}

.contenedor6 {
  display: flex;
  justify-content: center;
  padding: 0.5em;
  font-size: 20px;
  color: #C8C8C8;
}

.galeria {
  padding: 0 1em 2em 1em;
  width: min(75em, 100%);
  margin-inline: auto;  

}

.las-imagenes {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(12.5em, 1fr));
  gap: .25em;
  padding-top: 1em;
}


.galeria figure {
  border-radius: 5px;
  aspect-ratio: 1; 
  position: relative;
  overflow: hidden;
}

.galeria img {
  object-fit: cover;
  object-position: center center;
  width: 100%;
  height: 100%;  
}

.galeria figcaption {
  background-color: #000000bd;
  color: #C8C8C8;
  padding: .5em;
  line-height: 1em;
  text-transform: uppercase;
  font-weight: 700;
  position: absolute;
  inset: 0;
  transform: translateY(calc(100% - 2em));  
  transition: all .6s ease;
}

.galeria figure:hover figcaption {
  background-color: #000000bd;
  backdrop-filter: blur(4px);
  transition: all .3s ease;
  transform: translateY(0);
  display: grid;
  text-align: center;
  place-items: center;
  place-content: center;
  padding-inline: 2em;
}

.galeria figcaption span {
  display: block;
  font-size: .75em;
  color: #ddd;
  margin-block-start: .5em;
  text-transform: none;
}

.galeria figcaption a {
  display: inline-block;
  margin-block-start: .5em;
  background-color: hsla(0, 0%, 23%, 0.5);
  color: hsl(0 0% 90% / 0.85);
  padding: .25em 2em;
  border-radius: 2em;
}

.galeria figcaption a:hover {
  background-color: #0d5da465;
  box-shadow: 0 .25em .25em hsl(0 0% 0% / 0.25);
  color: hsl(0 0% 90%);
}



/*pie de pagina*/

.piedepagina1{
  display: flex;    
  flex-wrap: wrap;
  justify-content: space-around;
  font-size: 20px;

  color: #C8C8C8;
  border-top-width: 1px;
  border-top-style: solid;
  border-color: white;

  transition: color 0.3s ease;
}

.piedepagina1 a:hover {
  color: #0d5da4bc; 
}

.piedepagina1 h6{
  padding: 1.5em; 
}

.piedepagina1 li a{ 
  color: #C8C8C8;
  list-style: none;
  text-decoration: none;  
}

.piedepagina2{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;

  color: #C8C8C8;
  padding: 0.5em;
}

@media screen and (min-width:270px) {
  .piedepagina1{
    font-size: 20px;
    display: flex;
    justify-content: space-between;
  }
}

@media screen and (min-width:500px) {
  .piedepagina1{
    display: flex;
    justify-content: space-around;
  }
}

